#%define svnrev r1

Name:		q4wine
Summary:	Q4Wine is a Qt4 GUI for WINE.
Version:	0.120
Release:	%mkrel 1
URL:		http://q4wine.brezblock.org.ua/
Source:		http://sourceforge.net/projects/q4wine/files/q4wine/q4wine%200.120/%{name}-%{version}.tar.xz
License:	GPLv3
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	sqlite3-devel >= 3.5.6 
BuildRequires:	qt4-devel >= 4.4.0
BuildRequires:	fuse-devel >= 2.7.0
BuildRequires:	libzip-devel
BuildRequires:  icoutils >= 0.26.0
BuildRequires:	fuseiso
BuildRequires:  desktop-file-utils
Requires:	which >= 2.19
Requires:	icoutils >= 0.26.0
Requires:	libqtsql4
Requires:	libqtgui4
Requires:	libqtcore4
Requires:	libqtnetwork4
Requires:	wget
Requires:	fuse
Requires:	fuseiso
Requires:	xdg-utils
Requires:	wine

%description
It will help you manage wine prefixes and installed applications.

General features are:

Can export QT color theme into wine colors settings.
Can easy work with different wine versions at same time.
Easy creating, deleting and managing prefixes (WINEPREFIX).
Easy controlling for wine process.
Autostart icons support.
Easy cd-image use.
You can extract icons from PE files (.exe .dll).
Easy backup and restore for managed prefixes.
Winetriks support.
And more... 

%prep
%setup -q

%build
%cmake	-DWITH_WINETRIKS=ON

%make

%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Q4Wine
Comment=Qt4 utility for Wine applications and prefixes management.
Comment[it]=Qt4 programma per gestire le applicazioni con Wine e i prefissi.
Comment[uk]=Qt4 програма для налаштування програм та керування префіксами Wine.
Comment[en]=Qt4 utility for Wine applications and prefixes management.
Comment[ru]=Qt4 программа для настройки приложений и управления префиксами Wine.
Comment[cz]=Qt4 užitečný program pro programy wine a správu předpon.
Comment[es]=Qt4 utilidad para el manejo de aplicaciones y prefijos de wine.
Exec=LD_LIBRARY_PATH=%{_libdir}/%{name}/ %{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=Qt;System;Emulator;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%update_desktop_database

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog copying LICENSE README
%{_bindir}/*
%{_libdir}/%{name}/libq4wine-core.so
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/i18n/*.qm
%{_datadir}/%{name}/icons/*.png
%{_datadir}/%{name}/theme/nuvola/data/*.png

%changelog
* Tue Nov 23 2010 Chomp <chomptheman@gmail.com> 0.120-1pclos2010
- 0.120
- removed -WITH_EMBEDDED_FUSEISO=OFF, default build flag is off
- removed -DWITH_WINEAPPDB=ON, default build flag is on
- updated description and desktop entry
- q4wine manages application/x-ms-dos-executable mime types
  -added to post and postun

* Mon Aug 23 2010 Texstar <texstar at gmail.com> 0.118-r1-2pclos2010
- convert source to tar.xz
- adjust menu entry
- add BR icoutils and fuseiso
- change build option to WITH_EMBEDDED_FUSEISO=OFF since we are
- requiring external fuseiso

* Sun Aug 22 2010 Chomp <chomptheman@gmail.com> 0.119-r1-1pclos2010
- create package for pclos